Support » Plugin: Wise Chat » Error after updating to WordPress 4.4

  • Resolved seyntjim

    (@seyntjim)


    2015/12/08 21:50:14 [error] 1725#0: *5459 FastCGI sent in stderr: “PHP message: PHP Fatal error: Class ‘WP_Rewrite’ not found in /var/www/example.com/htdocs/wp-content/plugins/wise-chat/src/endpoints/index.php on line 55” while reading response header from upstream

    https://wordpress.org/plugins/wise-chat/

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Marcin

    (@marcinlawrowski)

    Thank you for reporting this bug. I will check it. Until I prepare new version of the plugin try to remove line 55 from the file src/endpoints/index.php

    Hi, from the latest update of wordpress, the window displays this error: Maintenance fatal error: Internal Server Error
    Server error occurred: Internal Server Error

    I also had problems with emoticons. There appears the button to choose them

    Plugin Author Marcin

    (@marcinlawrowski)

    Millo – thank you for reporting, I am going to investigate this.

    What is wrong with emoticons in your installation?

    Marcin

    I confirm
    Server error occurred: Internal Server Error
    Maintenance fatal error: Internal Server Error

    When enabling style bar with images, attachments and emoticons. Buttons appear only images and attachments, but not of emoticons . thanks

    Having similar, but different issues, my chat is constantly posting the following in the messages window, and will not let any actual messages be posted:

    Maintenance corrupted data: Unexpected token F
    Server error: SyntaxError: Unexpected token F

    My chat install is private, so I am unable to provide a public link to it.

    As a follow-up, those messages do not appear if I change the plugin to use the Default AJAX engine instead of the lightweight, but if I do that, the chat is terribly slow and nearly unusable.

    Yep,

    Maintenance corrupted data: Unexpected token F
    Server error: SyntaxError: Unexpected token F

    And every 3 seconds on the refresh it alternates back and forth with what error it gives.

    Plugin Author Marcin

    (@marcinlawrowski)

    Thank you for reporting this. I will provide the fix in few days.

    Best regards
    Marcin

    Just so everyone knows, if you change the settings to “Default” instead of “Lightweight AJAX” it will stop the errors until there is a fix.

    Plugin Author Marcin

    (@marcinlawrowski)

    Fixed in version 2.1

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Error after updating to WordPress 4.4’ is closed to new replies.